generic-lens-2.2.2.0: Generically derive traversals, lenses and prisms.

Copyright | (C) 2020 Csongor Kiss
License | BSD3
Maintainer | Csongor Kiss <kiss.csongor.kiss@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | None
Language | Haskell2010

Data.Generics.Product.Param

Description

Derive traversals over type parameters

# Documentation

newtype Rec p a (x :: k) Source #

Constructors

Rec (K1 R a x) |

class HasParam (p :: Nat) s t a b | p t a -> s, p s b -> t, p s -> a, p t -> b where Source #

Methods

param :: Traversal s t a b Source #

#### Instances

Instances details

Context n s t a b => HasParam n s t a b Source # |
Instance details Defined in Data.Generics.Product.Param Methods param :: Traversal s t a b Source #
HasParam p (Void1 a) (Void1 b) a b Source # |
Instance details Defined in Data.Generics.Product.Param Methods param :: Traversal (Void1 a) (Void1 b) a b Source #

data family Param :: Nat -> j -> k Source #

#### Instances

Instances details

newtype Param n (a :: Type) |

Instance details

Defined in Data.Generics.Internal.GenericN

newtype Param n (a :: Type) = StarParam {

- getStarParam :: a

}